package com.entity.vo;

import com.entity.LuxianxinxiEntity;

import com.baomidou.mybatisplus.annotations.TableName;
import java.util.Date;
import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import java.io.Serializable;
 

/**
 * 路线信息
 * @author 
 * @email 
 * @date 2030-05-02 11:48:07
 */
public class LuxianxinxiVO  implements Serializable {
	private static final long serialVersionUID = 1L;

	 			
	/**
	 * 动物名称
	 */
	
	private String dongwumingcheng;
		
	/**
	 * 图片
	 */
	
	private String tupian;
		
	/**
	 * 动物类别
	 */
	
	private String dongwuleibie;
		
	/**
	 * 保护等级
	 */
	
	private String baohudengji;
		
	/**
	 * 形态特征
	 */
	
	private String xingtaitezheng;
		
	/**
	 * 生活习性
	 */
	
	private String shenghuoxixing;
		
	/**
	 * 分布范围
	 */
	
	private String fenbufanwei;
		
	/**
	 * 百度百科
	 */
	
	private String baidubaike;
		
	/**
	 * 栖息环境
	 */
	
	private String qixihuanjing;
		
	/**
	 * 种群状况
	 */
	
	private String zhongqunzhuangkuang;
		
	/**
	 * 保育措施
	 */
	
	private String baoyucuoshi;
		
	/**
	 * 发布日期
	 */
		
	@JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd HH:mm:ss")
	@DateTimeFormat 
	private Date faburiqi;
		
	/**
	 * 赞
	 */
	
	private Integer thumbsupnum;
		
	/**
	 * 踩
	 */
	
	private Integer crazilynum;
		
	/**
	 * 最近点击时间
	 */
		
	@JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd HH:mm:ss")
	@DateTimeFormat 
	private Date clicktime;
		
	/**
	 * 点击次数
	 */
	
	private Integer clicknum;
		
	/**
	 * 评论数
	 */
	
	private Integer discussnum;
		
	/**
	 * 收藏数
	 */
	
	private Integer storeupnum;
				
	
	/**
	 * 设置：动物名称
	 */
	 
	public void setDongwumingcheng(String dongwumingcheng) {
		this.dongwumingcheng = dongwumingcheng;
	}
	
	/**
	 * 获取：动物名称
	 */
	public String getDongwumingcheng() {
		return dongwumingcheng;
	}
				
	
	/**
	 * 设置：图片
	 */
	 
	public void setTupian(String tupian) {
		this.tupian = tupian;
	}
	
	/**
	 * 获取：图片
	 */
	public String getTupian() {
		return tupian;
	}
				
	
	/**
	 * 设置：动物类别
	 */
	 
	public void setDongwuleibie(String dongwuleibie) {
		this.dongwuleibie = dongwuleibie;
	}
	
	/**
	 * 获取：动物类别
	 */
	public String getDongwuleibie() {
		return dongwuleibie;
	}
				
	
	/**
	 * 设置：保护等级
	 */
	 
	public void setBaohudengji(String baohudengji) {
		this.baohudengji = baohudengji;
	}
	
	/**
	 * 获取：保护等级
	 */
	public String getBaohudengji() {
		return baohudengji;
	}
				
	
	/**
	 * 设置：形态特征
	 */
	 
	public void setXingtaitezheng(String xingtaitezheng) {
		this.xingtaitezheng = xingtaitezheng;
	}
	
	/**
	 * 获取：形态特征
	 */
	public String getXingtaitezheng() {
		return xingtaitezheng;
	}
				
	
	/**
	 * 设置：生活习性
	 */
	 
	public void setShenghuoxixing(String shenghuoxixing) {
		this.shenghuoxixing = shenghuoxixing;
	}
	
	/**
	 * 获取：生活习性
	 */
	public String getShenghuoxixing() {
		return shenghuoxixing;
	}
				
	
	/**
	 * 设置：分布范围
	 */
	 
	public void setFenbufanwei(String fenbufanwei) {
		this.fenbufanwei = fenbufanwei;
	}
	
	/**
	 * 获取：分布范围
	 */
	public String getFenbufanwei() {
		return fenbufanwei;
	}
				
	
	/**
	 * 设置：百度百科
	 */
	 
	public void setBaidubaike(String baidubaike) {
		this.baidubaike = baidubaike;
	}
	
	/**
	 * 获取：百度百科
	 */
	public String getBaidubaike() {
		return baidubaike;
	}
				
	
	/**
	 * 设置：栖息环境
	 */
	 
	public void setQixihuanjing(String qixihuanjing) {
		this.qixihuanjing = qixihuanjing;
	}
	
	/**
	 * 获取：栖息环境
	 */
	public String getQixihuanjing() {
		return qixihuanjing;
	}
				
	
	/**
	 * 设置：种群状况
	 */
	 
	public void setZhongqunzhuangkuang(String zhongqunzhuangkuang) {
		this.zhongqunzhuangkuang = zhongqunzhuangkuang;
	}
	
	/**
	 * 获取：种群状况
	 */
	public String getZhongqunzhuangkuang() {
		return zhongqunzhuangkuang;
	}
				
	
	/**
	 * 设置：保育措施
	 */
	 
	public void setBaoyucuoshi(String baoyucuoshi) {
		this.baoyucuoshi = baoyucuoshi;
	}
	
	/**
	 * 获取：保育措施
	 */
	public String getBaoyucuoshi() {
		return baoyucuoshi;
	}
				
	
	/**
	 * 设置：发布日期
	 */
	 
	public void setFaburiqi(Date faburiqi) {
		this.faburiqi = faburiqi;
	}
	
	/**
	 * 获取：发布日期
	 */
	public Date getFaburiqi() {
		return faburiqi;
	}
				
	
	/**
	 * 设置：赞
	 */
	 
	public void setThumbsupnum(Integer thumbsupnum) {
		this.thumbsupnum = thumbsupnum;
	}
	
	/**
	 * 获取：赞
	 */
	public Integer getThumbsupnum() {
		return thumbsupnum;
	}
				
	
	/**
	 * 设置：踩
	 */
	 
	public void setCrazilynum(Integer crazilynum) {
		this.crazilynum = crazilynum;
	}
	
	/**
	 * 获取：踩
	 */
	public Integer getCrazilynum() {
		return crazilynum;
	}
				
	
	/**
	 * 设置：最近点击时间
	 */
	 
	public void setClicktime(Date clicktime) {
		this.clicktime = clicktime;
	}
	
	/**
	 * 获取：最近点击时间
	 */
	public Date getClicktime() {
		return clicktime;
	}
				
	
	/**
	 * 设置：点击次数
	 */
	 
	public void setClicknum(Integer clicknum) {
		this.clicknum = clicknum;
	}
	
	/**
	 * 获取：点击次数
	 */
	public Integer getClicknum() {
		return clicknum;
	}
				
	
	/**
	 * 设置：评论数
	 */
	 
	public void setDiscussnum(Integer discussnum) {
		this.discussnum = discussnum;
	}
	
	/**
	 * 获取：评论数
	 */
	public Integer getDiscussnum() {
		return discussnum;
	}
				
	
	/**
	 * 设置：收藏数
	 */
	 
	public void setStoreupnum(Integer storeupnum) {
		this.storeupnum = storeupnum;
	}
	
	/**
	 * 获取：收藏数
	 */
	public Integer getStoreupnum() {
		return storeupnum;
	}
			
}
